#!/bin/bash
fail() { [ $# -eq 0 ] || echo "$@"; exit 1; }

umask 022
set -x
source watch_properties || fail "Failed to read watch properties"

echo "-------------------"
echo "Image for testing:"
cat watch_properties
echo "-------------------"


my_dir="$( cd "$( dirname "$0" )" && pwd )"
base_dir=$(dirname ${my_dir})

${my_dir}/tests/azure.sh ${1}
